# Wool:
#y=0 - 2 -> see Door A
#y=0 - 3 -> see Vismarker C
#y=1 - 1 -> see Collect Station
#y=1 - 2 -> remove roomAlook
#y=1 - 3 -> add roomAlook
#y=2 - 5 -> load part2
#y=2 - 6 -> load part3

effect @a[score_click_min=1,score_click=1] 15 1 0 true

scoreboard players add @e[tag=buttondetect] Timer 0
scoreboard players add @e[type=armor_stand,tag=visDoorA] Timer 0

#Detect Collect/Swap Station
execute @e[tag=buttondetect] ~ ~ ~ detect ~-1 ~ ~ stone_button powered=true scoreboard players set @s[score_Timer_min=0,score_Timer=0] Timer 1
execute @e[tag=buttondetect] ~ ~ ~ detect ~1 ~ ~ stone_button powered=true scoreboard players set @s[score_Timer_min=0,score_Timer=0] Timer 1
scoreboard players add @e[tag=buttondetect,score_Timer_min=1] Timer 1
execute @e[tag=buttondetect,score_Timer_min=2,score_Timer=2] ~ ~ ~ detect ~ ~ ~ sponge 0 function mechanic:collect
execute @e[tag=buttondetect,score_Timer_min=2,score_Timer=2] ~ ~ ~ detect ~ ~ ~ planks 3 function mechanic:swap
scoreboard players set @e[tag=buttondetect,score_Timer_min=22] Timer 0

#Set Collect/Swap Station block
scoreboard players tag @a remove inCollect
execute @a ~ ~ ~ detect ~ 1 ~ wool 1 scoreboard players tag @s add inCollect
execute @a[tag=!roomA] ~ ~ ~ execute @a[tag=!inCollect] ~ ~ ~ setblock -115 5 -103 planks 3
execute @a[tag=!roomA] ~ ~ ~ execute @a[tag=inCollect] ~ ~ ~ setblock -115 5 -103 sponge

scoreboard players tag @a remove visDoorA
execute @a ~ ~ ~ detect ~ 0 ~ wool 2 scoreboard players tag @s add visDoorA

#visible -> unvisible
execute @a[tag=visDoorA] ~ ~ ~ scoreboard players set @e[type=armor_stand,tag=visDoorA,score_Timer_min=0,score_Timer=0] Timer 3
#unvisible -> visible
execute @a[tag=!visDoorA] ~ ~ ~ scoreboard players set @e[type=armor_stand,tag=visDoorA,score_Timer_min=2,score_Timer=2] Timer 1

entitydata @e[type=armor_stand,tag=visDoorA,score_Timer_min=1,score_Timer=1] {CustomNameVisible:0}
entitydata @e[type=armor_stand,tag=visDoorA,score_Timer_min=3] {CustomNameVisible:1}
execute @e[type=armor_stand,tag=visDoorA,score_Timer_min=1,score_Timer=1] ~ ~ ~ fill -107 4 -105 -107 5 -105 quartz_block
execute @e[type=armor_stand,tag=visDoorA,score_Timer_min=3] ~ ~ ~ setblock -107 4 -105 iron_door half=lower,facing=south,hinge=left
execute @e[type=armor_stand,tag=visDoorA,score_Timer_min=3] ~ ~ ~ setblock -107 5 -105 iron_door half=upper,facing=south,hinge=left
execute @e[type=armor_stand,tag=visDoorA,score_Timer_min=3] ~ ~ ~ detect ~ 2 ~ redstone_torch -1 setblock -107 4 -105 iron_door half=lower,facing=south,hinge=left,powered=true,open=true
execute @e[type=armor_stand,tag=visDoorA,score_Timer_min=3] ~ ~ ~ detect ~ 2 ~ redstone_torch -1 setblock -107 5 -105 iron_door half=upper,facing=south,hinge=left,powered=true,open=true

#teleport A Vismarker to Soulplate (instead of using connectionmarker D:)
execute @e[type=armor_stand,name=soulplate,tag=A] ~ ~ ~ teleport @e[tag=visScanA,rm=3] ~ ~1.3 ~
execute @e[type=armor_stand,name=soulplate,tag=B] ~ ~ ~ teleport @e[tag=visScanB,rm=3] ~ ~1.1 ~

scoreboard players set @e[type=armor_stand,tag=visDoorA,score_Timer_min=1,score_Timer=1] Timer 0
scoreboard players set @e[type=armor_stand,tag=visDoorA,score_Timer_min=3] Timer 2

execute @a[tag=part3] ~ ~ ~ entitydata @e[type=armor_stand,tag=visScanC] {CustomNameVisible:0}
execute @a[tag=part3] ~ ~ ~ detect ~ 0 ~ wool -1 entitydata @e[type=armor_stand,tag=visScanC] {CustomNameVisible:1}

#end gateway exact tp
execute @a ~ ~ ~ detect ~ ~ ~ end_gateway -1 execute @s ~ ~ ~ detect ~ 2 ~ redstone_block 0 tp @s ~ ~ ~-27.5
scoreboard players tag @a remove inGateway
execute @a ~ ~ ~ detect ~ 1 ~ wool 12 scoreboard players tag @s add inGateway
execute @a[tag=!inGateway] ~ ~ ~ detect -114 4 -110 air 0 /fill -114 4 -110 -114 5 -110 stone
execute @a[tag=inGateway] ~ ~ ~ detect -114 4 -110 stone 0 /fill -114 4 -110 -114 5 -110 air

execute @a ~ ~ ~ detect ~ 1 ~ wool 2 scoreboard players tag @s remove roomAlook
execute @a ~ ~ ~ detect ~ 1 ~ wool 3 scoreboard players tag @s add roomAlook

execute @a[tag=roomAlook] ~ ~ ~ function levels:42/set2 if @s[tag=!roomAlook_set]
execute @a[tag=!roomAlook] ~ ~ ~ function levels:42/set1 if @s[tag=roomAlook_set]

execute @a[tag=roomAlook] ~ ~ ~ detect ~ 1 ~ wool 4 scoreboard players tag @s add roomA
execute @a[tag=roomA] ~ ~ ~ function levels:42/set6 if @s[tag=!roomA_set]

execute @a[tag=roomA,score_click=0] ~ ~ ~ detect ~ 2 ~ wool 5 function levels:42/set4 if @s[tag=part3]
execute @a[tag=roomA,score_click=0] ~ ~ ~ detect ~ 2 ~ wool 6 function levels:42/set5 if @s[tag=!part3]

execute @a[tag=body_room1] ~ ~ ~ scoreboard players tag @e[type=armor_stand,name=body] add room1
execute @a[tag=body_room2] ~ ~ ~ scoreboard players tag @e[type=armor_stand,name=body] add room2
scoreboard players tag @a remove body_room1
scoreboard players tag @a remove body_room2

#Level Goal
execute @a[score_textsfound_min=126,tag=!lastlevel_complete] ~ ~ ~ function levels:42/goal

execute @a[tag=!part3] ~ ~ ~ execute @e[type=armor_stand,name=soul] ~ ~ ~ detect ~ 1 ~ wool 11 scoreboard players tag @s add room2
execute @a[tag=part3] ~ ~ ~ execute @e[type=armor_stand,name=soul] ~ ~ ~ detect ~ 1 ~ wool 11 scoreboard players tag @s add room1

execute @a[score_click_min=1,score_click=1,tag=issoul] ~ ~ ~ function levels:42/set5 if @e[type=armor_stand,name=body,tag=room2]
execute @a[score_click_min=1,score_click=1,tag=issoul] ~ ~ ~ function levels:42/set4 if @e[type=armor_stand,name=body,tag=room1]
scoreboard players set @a[score_click_min=1,score_click=1,tag=issoul] click 999
execute @a[score_click_min=1,score_click=1,tag=isbody] ~ ~ ~ function levels:42/set5 if @e[type=armor_stand,name=soul,tag=room2]
execute @a[score_click_min=1,score_click=1,tag=isbody] ~ ~ ~ function levels:42/set4 if @e[type=armor_stand,name=soul,tag=room1]
scoreboard players set @a[score_click_min=999,score_click=999] click 1
